<template>
  <gree-view>
    <gree-page class="page-report">
      <gree-header :left-options="{ preventGoBack: true }" @on-click-back="goBack">{{ '电量报告' }} </gree-header>
      <div class="page-main">
        <!-- <gree-tab-bar v-model="currentTab" :items="tabs" :ink-length="50" v-if="this.ElcEn" /> -->
        <ElectricChart />
        <!-- <UseTimerChart v-if="this.currentTab === 2 || !this.ElcEn" /> -->
      </div>
    </gree-page>
  </gree-view>
</template>

<script>
import ElectricChart from '@/components/Electric';
// import UseTimerChart from '@/components/UseTime';
import { mapState } from 'vuex';
import { Header, Toast, Radio, RadioList, Switch, TabBar, Item } from 'gree-ui';

export default {
  components: {
    [Header.name]: Header,
    [Radio.name]: Radio,
    [RadioList.name]: RadioList,
    [Switch.name]: Switch,
    [TabBar.name]: TabBar,
    [Item.name]: Item,
    [Toast.name]: Toast,
    ElectricChart
    // UseTimerChart
  },
  data() {
    return {
      currentTab: 1,
      tabs: [
        { name: 1, label: '用电报告' },
        { name: 2, label: '用机报告' }
      ]
    };
  },
  mounted() {
    this.currentTab = this.$route.params.id;
  },
  computed: {
    ...mapState('control', {
      mac: state => state.mac,
      ElcEn: state => state.dataObject.ElcEn || 0
    })
  },
  methods: {
    /**
     * @description 返回键
     */
    goBack() {
      this.$router.push('Home');
      this.$bus.$emit('getElcData');
    }
  }
};
</script>
